nvme_submit_admin_passthru(9)

NAME
nvme_submit_admin_passthru - Submit an nvme passthrough admin command

SYNOPSIS
int nvme_submit_admin_passthru (int fd , struct nvme_passthru_cmd *cmd , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

cmd The nvme admin command to send

result
    Optional field to return the result from the CQE DW0

DESCRIPTION
Uses NVME_IOCTL_ADMIN_CMD for the ioctl request.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.